<template>
    <view>{{ matchingText }}</view>
</template>

<script setup>
// 匹配度
import { inject, computed } from 'vue';
const { job } = defineProps(['job']);
const { similarityJobs, throttle } = inject('globalFunction');

const matchingText = computed(() => {
    if (!job) return '';
    const matching = similarityJobs.calculationMatchingDegree(job);
    return matching ? '匹配度 ' + matching.overallMatch : '';
});
</script>

<style></style>
